FiskilFiskilFiskil DocsFiskil Docs
Log InSign Up
GuidesAPI ReferenceChangelog

Mobile menu

HomeFiskilFiskil
Log InSign Up
Introduction

Getting Started

AuthenticationErrorsPagination

CORE RESOURCES

Linking Accounts

BANKING API

ENERGY API

IDENTITY

Products

Get bank product information from the Fiskil API.

AI Actions

The Products endpoint provides detailed information about banking products associated with an end user's accounts.

Endpoints

MethodEndpointDescription
GET/v1/productsGet product details for an end user's accounts

The Product Model

AttributeTypeDescription
idstringUnique identifier for the product
account_idstringID of the associated account
namestringProduct name
descriptionstringProduct description
categorystringProduct category
featuresarrayList of product features
feesarrayAssociated fees
interest_ratesarrayInterest rate information

Example Response

{
  "id": "prod_123",
  "account_id": "acc_123456789",
  "name": "Complete Freedom Account",
  "description": "Everyday transaction account with no monthly fees",
  "category": "TRANS_AND_SAVINGS_ACCOUNTS",
  "features": [
    "No monthly account keeping fees",
    "Unlimited transactions",
    "Free ATM withdrawals"
  ],
  "fees": [
    {
      "name": "International transaction fee",
      "amount": 3.00,
      "currency": "AUD"
    }
  ],
  "interest_rates": [
    {
      "rate": 0.01,
      "type": "VARIABLE",
      "description": "Base interest rate"
    }
  ]
}

Get Products

Retrieve product information for an end user's accounts.

GET https://api.fiskil.com/v1/products

Query Parameters

ParameterTypeRequiredDescription
end_user_idstringYesThe ID of the end user
account_idstringNoFilter by specific account ID

Example Request

curl --request GET \
  --url 'https://api.fiskil.com/v1/products?end_user_id=482c0e2b-5866-46b1-b795-220b7bba45b5' \
  --header 'Authorization: Bearer {access_token}' \
  --header 'accept: application/json; charset=UTF-8'
const response = await fetch(
  'https://api.fiskil.com/v1/products?end_user_id=482c0e2b-5866-46b1-b795-220b7bba45b5',
  {
    method: 'GET',
    headers: {
      'Authorization': 'Bearer {access_token}',
      'accept': 'application/json; charset=UTF-8'
    }
  }
);

const products = await response.json();
import requests

response = requests.get(
    'https://api.fiskil.com/v1/products',
    params={'end_user_id': '482c0e2b-5866-46b1-b795-220b7bba45b5'},
    headers={
        'Authorization': 'Bearer {access_token}',
        'accept': 'application/json; charset=UTF-8'
    }
)

products = response.json()

Related Endpoints

  • Accounts - Get account details

Was this page helpful?

PlansScheduled Payments

On this page

EndpointsThe Product ModelExample ResponseGet ProductsQuery ParametersExample RequestRelated Endpoints